import { defaultLocale } from './locales';
import type { Locale, NestedPath, NestedStrings, Translations } from './types';
export declare const translate: <T extends Translations<NestedStrings>>(translations: T, locale: Locale, translationKey: NestedPath<Exclude<T[Locale.ENGLISH], undefined>>) => string;
export declare const extractLocaleFromPath: (path: string, supportedLocales?: Locale[]) => {
    locale: Locale | null;
    pathWithoutLocale: string;
};
export declare const localeFromString: (string: string, supportedLocales?: Locale[]) => Locale | null;
export declare const getHtmlAttributesForLocale: (locale: Locale) => {
    lang: Locale;
    dir: "ltr" | "rtl";
};
